package com.data.migration.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

@RestController
@RequestMapping("/user")
public class UserMigrateController {

    @Resource(name = "oracleJdbcTemplate")
    private JdbcTemplate oracleJdbcTemplate;

    @Resource(name = "dmJdbcTemplate")
    private JdbcTemplate dmJdbcTemplate;

    @GetMapping("/hello")
    public String sayHello(){
        this.migrateData();
        return "Hello!";
    }

    public void migrateData() {
        String sql = "select ID, NAME, LOGIN_NAME, EMAIL, ORDER_NO, REGISTER_TIME, PASSWORD, SEX, TELEPHONE from to_horizon_user";
        List<Map<String, Object>> data = oracleJdbcTemplate.queryForList(sql);
        String dm_sql = "insert into base_user(F_Id, F_RealName, F_Account, F_Email,F_SortCode,F_CreatorTime, F_Password, F_Gender,F_MobilePhone,F_EnabledMark,F_IsAdministrator) VALUES";
        for (Map<String, Object> row : data) {
//            targetJdbcTemplate.update("INSERT INTO target_table (column1, column2) VALUES (?, ?)", row.get("column1"), row.get("column2"));
            StringBuffer sb = new StringBuffer();
            sb.append("('").append(row.get("id"));
            Object name = row.get("NAME");
            if(name == null){
                continue;
            }
            if(name.toString().contains("管理员") || name.toString().contains("安全审计员")){
                continue;
            }
            sb.append("','").append(name);
            sb.append("','").append(row.get("LOGIN_NAME"));
            Object email = row.get("EMAIL");
            if(email != null){
                sb.append("','").append(email);
                sb.append("',").append(row.get("ORDER_NO"));
            }else{
                sb.append("',").append(email);
                sb.append(",").append(row.get("ORDER_NO"));
            }
            sb.append(",'").append(row.get("REGISTER_TIME"));
            sb.append("','").append(row.get("PASSWORD"));
            //1 男，2 女 老平台 0 男，1 女
            Object sex = row.get("SEX");

            if(sex != null && sex.toString().equals("0")){
                sb.append("',").append(1);
            }else{
                sb.append("',").append(2);
            }
            Object phone = row.get("TELEPHONE");
            if(phone != null){
                sb.append(",'").append(row.get("TELEPHONE"));
                sb.append("',1,0)");
            }else{
                sb.append(",").append(row.get("TELEPHONE"));
                sb.append(",1,0)");
            }
            dmJdbcTemplate.update(dm_sql+sb.toString());
            System.out.println(dm_sql+sb.toString());
        }
    }
}
